.main {
  width: 100%;
  height: calc(100% - 64px);
  border: 1px solid rgba(0, 0, 0, 0.5);

  &__sidenav {
    width: 400px;
    padding: 0;
  }

  &__spacer {
    flex: 1 1 auto;
  }

  &__name {
    margin: 0 20px 0 0;
  }

  &__link {
    display: flex;
    align-items: center;
    padding: 15px 0 15px 20px;
    text-decoration: none;

    &-active {
      background-color: #b395f1;
    }

    &:hover {
      background-color: #b395f1;
    }
  }

  &__item {
    font-size: 18px;
  }

  &__icon {
    font-size: 24px;
    width: 24px;
    height: 24px;
  }
}

.spinner {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.12);
}

.mat-list {
  padding-top: 0;
}

.weather-btn {
  margin-right: 40px;
}
